#include<bits/stdc++.h>

using namespace std;

int x[1500],y[1500];
int xrazlika[11125000],yrazlika[11125000];

bool Paralelni(int a,int b){
	if(xrazlika[a] == xrazlika[b]*2 && yrazlika[a]==yrazlika[b]*2)return true;
	if(xrazlika[a] == xrazlika[b]*(-2) && yrazlika[a]==yrazlika[b]*(-2))return true;
	if(xrazlika[a]*2 == xrazlika[b] && yrazlika[a]*2==yrazlika[b])return true;
	if(xrazlika[a]*(-2) == xrazlika[b] && yrazlika[a]*(-2)==yrazlika[b])return true;
	return false;
}

int main(){
	int n,brojac=0,resenje=0;;
	cin>>n;
	for(int i=0;i<n;i++){
		cin>>x[i]>>y[i];
	}
	for(int i=0;i<n;i++){
		for(int j=i+1;j<n;j++){
			xrazlika[brojac]=x[i]-x[j];
			yrazlika[brojac]=y[i]-y[j];
			brojac++;
		}
	}
	for(int i=0;i<n;i++){
		for(int j=i+1;j<n;j++){
			if(Paralelni(i,j)){
				resenje++;
			} 
		}
	}
	cout<<resenje;
	return 0;
}